Bug 1912072

Summary: openarena - SEGV during startup
Product: [Fedora] Fedora Reporter: Jan Kratochvil <jan.kratochvil>
Component: openarenaAssignee: Gwyn Ciesla <gwync>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 33CC: fedora, gwync, ian, trpost, walter.pete
Target Milestone: ---Keywords: Bugfix
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: openarena-0.8.8-22.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-07 01:15:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kratochvil 2021-01-03 08:23:09 UTC
Description of problem:
F-33 openarena no longer works. It cannot find its .pak files.

Version-Release number of selected component (if applicable):
openarena-0.8.8-18.fc33.noarch

How reproducible:
Always.

Steps to Reproduce:
rm -rf ~/.openarena
openarena

Actual results:
ioq3 1.36 linux-x86_64 Aug  1 2020
Have SSE support
----- FS_Startup -----
Segmentation fault

Expected results:
No SEGV.

Additional info:
Workaroundable by:
cp -a /usr/share/openarena/ ~/.openarena;openarena

Comment 1 Antonio T. sagitter 2021-01-03 09:48:41 UTC
Thanks for this warning.

Comment 2 Gwyn Ciesla 2021-01-04 17:41:05 UTC
sagitter, thanks for your commits, are you doing further work on this? I don't want to step on your toes.

Comment 3 Antonio T. sagitter 2021-01-04 17:51:07 UTC
(In reply to Gwyn Ciesla from comment #2)
> sagitter, thanks for your commits, are you doing further work on this? I
> don't want to step on your toes.

I have not tested latest commits yet; i dont know if this bug is fixed.

Comment 4 Gwyn Ciesla 2021-01-04 17:52:02 UTC
It is not.

Comment 5 Antonio T. sagitter 2021-01-04 18:15:34 UTC
I leave to you this ticket.

Comment 6 Gwyn Ciesla 2021-01-04 18:19:36 UTC
Ok, thank you!

Comment 7 Fedora Update System 2021-01-04 18:50:05 UTC
FEDORA-2021-3344accd6c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3344accd6c

Comment 8 Fedora Update System 2021-01-05 01:13:06 UTC
FEDORA-2021-3344accd6c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3344accd6c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3344accd6c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-01-06 01:30:29 UTC
FEDORA-2021-5608ba488c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5608ba488c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5608ba488c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-01-07 01:15:19 UTC
FEDORA-2021-5608ba488c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.